<div class="card">
    <h3>Listado de Tickets</h3>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Nro. Ticket</th>
                    <th scope="col">Categoria</th>
                    <th scope="col">Servicio</th>
                    <th scope="col">SLA</th>
                    <th scope="col">Estado</th>
                    <th scope="col">Ver mas</th>
                    <th scope="col" *ngIf=" nivel === 1">Escalar</th>
                    <th scope="col">Reasignar</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor='let ticket of ticketsPorTecnico | paginate:{itemsPerPage: 10, currentPage: p}'>
                    <td>{{ticket.codticket}}</td>
                    <td>{{ticket.servicio.catalogo.categoria}}</td>
                    <td>{{ticket.servicio.tipo.nombre}}</td>
                    <td>{{ticket.sla}}</td>
                    <td>{{ticket.estado.nombreEstado}}</td>
                    <td> <button type="submit" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal" (click)="obtenerValores(ticket.codticket)">
                    Ver mas
                  </button>
                    </td>
                    <td *ngIf="nivel === 1 "> <button type="submit" class="btn btn-outline-success" data-bs-toggle="modal" data-bs-target="#staticBackdrop" (click)="obtenerValores(ticket.codticket , ticket.coordinador.codCoordinador )">
                    Escalar 
                  </button></td>
                    <td> <button type="submit" class="btn btn-outline-danger" (click)='showAsignar(ticket.codticket)'>   
                    Reasignar 
                  </button></td>
                </tr>
            </tbody>
        </table>
        <pagination-controls (pageChange)="p = $event"></pagination-controls>

    </div>
</div>

    <!-- Modal para el detalle del ticket -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form [formGroup]="form">
                        <div>
                            <h5>Datos del ticket</h5>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label> Nro Ticket : </label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="nroTicket" formControlName="nroTicket" disabled>
                                    <p style="margin-left: 2%;"> </p>
                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Fecha asignación :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="fechaAsignacion" formControlName="fechaAsignacion" disabled>
                                    <p style="margin-left: 2%;">
                                    </p>
                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Servicio :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="servicio" formControlName="servicio" disabled>
                                    <p style="margin-left: 2%;"> </p>

                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Categoria :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="categoria" formControlName="categoria" disabled>
                                    <p style="margin-left: 2%;"> </p>

                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Descripción :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="descripcion" formControlName="descripcion" disabled>
                                    <p style="margin-left: 2%;"> </p>

                                </div>
                            </div>


                        </div>



                        <div class="row ">
                            <div class=" col-sm-6 ">
                                <label>Estado:</label>
                            </div>
                            <div class=" col-sm-6 ">
                                <select class="form-select " [(ngModel)]="estadoSeleccion" (change)="cambiarEstado()" formControlName="estadoSelect" ria-label="Default select example ">
                                    <option   value="0" selected  >Cambiar estado</option> 
                                    <option   value="1" >Cerrado sin solucion</option> 
                                    <option   value="2" >Cerrado con solucion</option> 
                                </select>
                            </div>
                        </div> <br>
                        <div *ngIf="EstadoCod == 2 ">
                            <h5> Solucion</h5>
                            <input *ngIf="solucionFull == null" class="form-control" id="fechaS" formControlName="fechaS" value="{{fecha}}" disabled>
                            <input *ngIf="solucionFull != null" value="{{solucionFull.fechafinalizacion}}" disabled id="fechaS">
                            <p style="margin-left: 2%;"> </p>
                            <div class="form-floating mb-3">

                                <input *ngIf="solucionFull != null" class="form-control" id="descripcionS" formControlName="descripcionS" value="{{solucionFull.descripcion}}" disabled>
                                <input *ngIf="solucionFull == null" type="text" class="form-control" id="descripcionSolucion" formControlName="descripcionSolucion" placeholder="Descripcion de la solucion">
                                <label for="descripcion">Descripcion</label>
                            </div>
                            <div>
                                <button *ngIf="solucionFull == null" type="button" class="btn btn-outline-primary" id="btnsolucion" data-bs-dismiss="modal" (click)="guardarSolucion($event)">Guardar</button>
                            </div>
                        </div>

                        <div>
                            <h5>Datos de usuario</h5>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Cedula :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="cedulaU" formControlName="cedulaU" disabled>
                                    <p style="margin-left: 2%;"> </p>
                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Usuario :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="nombreU" formControlName="nombreU" disabled>
                                    <p style="margin-left: 2%;"> </p>
                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Correo electronico :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="correoU" formControlName="correoU" disabled>
                                    <p style="margin-left: 2%;"> </p>
                                </div>
                            </div>
                            <div class="row">
                                <div class=" col-sm-6 ">
                                    <label>Telefono :</label>
                                </div>
                                <div class=" col-sm-6 ">
                                    <input type="text" class="form-control" id="telefonoU" formControlName="telefonoU" disabled>
                                    <p style="margin-left: 2%;"> </p>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>

    <!-- Modal para listado de tecnicos nivel 2 -->
    <div class="modal fade" id="staticBackdrop" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Tecnicos nivel 2 </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Cedula</th>
                                <th scope="col">Tecnico</th>
                                <th scope="col">Escalar</th>

                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor='let tecnico of tecnicosNivel2 | paginate:{itemsPerPage: 5, currentPage: page}'>
                                <td>{{tecnico.persona.cedula}}</td>
                                <td>{{tecnico.persona.nombres}}</td>

                                <td>
                                    <button type="submit" class="btn btn-outline-primary" (click)='showEscalar(tecnico.codTecnico)'>
                               Escalar
                              </button>
                                </td>

                        </tbody>
                    </table>

                    <pagination-controls class="paginacion" (pageChange)="page =$event"></pagination-controls>
                </div>
            </div>
        </div>
    </div>